# Interface DocletOutput.DocVariable

Enclosing interface:
  `DocletOutput`

public static interface DocletOutput.DocVariable
Characterises a method parameter.

Since:
  24 Jan 2023
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommentText()`
Returns parameter description.
`String`
`getName()`
Returns parameter name.
`String`
`getType()`
Returns parameter type in user-friendly form.

## Method Details

### getName

String getName()
Returns parameter name.

Returns:
  name

### getType

String getType()
Returns parameter type in user-friendly form.

Returns:
  type specification

### getCommentText

String getCommentText()
Returns parameter description.

Returns:
  description, may be HTML